#### D.5.17.6 projectiveSpace

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  projectiveSpace(n); n int

Return:
  variety

Theory:
  create a projective space of dimension n as an abstract variety. Its Chow ring is a quotient ring in one variable h modulo the ideal generated by h^(n+1).

Example:

    LIB "schubert.lib";
    variety P = projectiveSpace(3);
    P;
    ==> A variety of dimension 3
    ==>
    P.dimension;
    ==> 3
    def r = P.baseRing;
    setring r;
    P.relations;
    ==> _[1]=h4
    ChowRing(P);
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 1
    ==> //        block   1 : ordering wp
    ==> //                  : names    h
    ==> //                  : weights  1
    ==> //        block   2 : ordering C
    ==> // quotient ring from ideal ...

See also: Grassmannian; projectiveBundle.

User manual for Singular version 4.4.1, 2025, generated by texi2html.